#!/bin/sh
. $PWD/setupCmdLine.sh

# Check to see if JAVA_HOME has been defined...
if [ "${JAVA_HOME}" = "" ]
then
   echo "***JAVA_HOME not set.  Checking obvious places..."
   if [ -d /usr/jdk118 ]
   then
     echo "***Setting JAVA_HOME to /usr/jdk118"
     export JAVA_HOME=/usr/jdk118
   else
     echo "***Cannot find a suitable JAVA_HOME, exiting."
     exit 1
   fi
fi                

# setup the classpath
WAS_CP=$WAS_HOME/lib/ibmwebas.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/xml4j.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/ujc.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/ejs.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/console.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/admin.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/repository.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/sslight.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/tasks.jar
WAS_CP=$WAS_CP:$WAS_HOME/properties
WAS_CP=$WAS_CP:$JAVA_HOME/lib/classes.zip
export CLASSPATH=$WAS_CP            

LP=$JAVA_HOME/lib/linux/native_threads
LP=$LP:$WAS_HOME/bin
LP=$LP:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH=$LP

# execute the WASRunner
$JAVA_HOME/bin/java $CLIENTSAS -Dserver.root=$WAS_HOME com.ibm.websphere.xmlconfig.XMLConfig $1 $2 $3 $4 $5 $6 $7 $8 $9
